Create a new structure

Request

Create a new structure

Security
bearer and appkey
Headers
slb-data-partition-idstringrequired

The data partition id.

Bodyapplication/json
namestringrequired
is_offshorebooleanrequired
locationobject(InputGlobalLocationDto)required
ground_levelnumberrequired
fieldstringrequired
external_tagstring
uncertaintyobject(Uncertainty)
north_referencestringrequired
Enum:"Grid""True"
slot_setArray of objects(InputSlotDto)
curl -i -X POST \
  https://eu-api.delfi.slb.com/drillplan/msd/v2/structures \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'appkey: YOUR_API_KEY_HERE' \
  -H 'slb-data-partition-id: string' \
  -d '{
    "name": "string",
    "is_offshore": true,
    "location": {
      "coordinates_type": "string",
      "northing": 0,
      "easting": 0,
      "latitude": 0,
      "longitude": 0,
      "crs": "string"
    },
    "ground_level": 0,
    "field": "string",
    "external_tag": "string",
    "uncertainty": {
      "confidence": 0,
      "radius": 0
    },
    "north_reference": "Grid",
    "slot_set": [
      {
        "name": "string",
        "diameter": 0,
        "external_tag": "string",
        "location": {
          "ns": 0,
          "ew": 0,
          "distance": 0,
          "azimuth": 0,
          "coordinates_type": "string",
          "northing": 0,
          "easting": 0,
          "latitude": 0,
          "longitude": 0
        }
      }
    ]
  }'

Responses

Success

Bodyapplication/json
CreatedIdstring
Response
{ "CreatedId": "string" }